Subject: bug#24111: 25.1.50; SVG image displayed incorrectly in EWW

From: Clément Pit--Claudel <[email-masked]>
Date: Sat, 30 Jul 2016 10:48:14 -0400

Confirmed on master. Additionally, there's a scrolling issue on that page: pressing C-n continuously doesn't scroll smoothly (instead, it jumps up before scrolling past the image).

On 2016-07-30 01:56, Wouter Beek wrote:
> 
> $ emacs -Q
> M-x eww
> https://www.w3.org/TR/xmlschema11-2/#built-in-datatypes
> 
> The web page opens directly above an inline SVG image that is displayed
> incorrecly: only the lines of the tree structure are shown; the nodes of
> the tree are not displayed, nor is their textual content.
> 
> Extracting the inline SVG DOM, putting it into an SVG file and opening
> it in Emacs does load the image correctly (using mode
> Image[imagemagick]).
> 
> 
> In GNU Emacs 25.1.50.1 (x86_64-unknown-linux-gnu, GTK+ Version 3.20.6)
>  of 2016-07-24 built on localhost.localdomain
> Repository revision: 2c2b0cd07c143e33af9f7237ef4819c28764a90f
> Windowing system distributor 'Fedora Project', version 11.0.11804000
> Recent messages:
> Mark set
> delete-backward-char: Text is read-only
> Quit [2 times]
> Type C-x 4 C-o RET to restore the other window.  
> command-execute: Command attempted to use minibuffer while in minibuffer
> No bug report on the current line
> Contacting host: duckduckgo.com:443
> You can run the command ‘eww’ with G
> Contacting host: duckduckgo.com:443
> Contacting host: www.w3.org:80
> 
> Configured using:
>  'configure --with-xwidgets'
> 
> Configured features:
> XPM JPEG TIFF GIF PNG RSVG IMAGEMAGICK SOUND GPM DBUS GCONF GSETTINGS
> NOTIFY ACL LIBSELINUX GNUTLS LIBXML2 FREETYPE M17N_FLT LIBOTF XFT ZLIB
> TOOLKIT_SCROLL_BARS GTK3 X11 XWIDGETS
> 
> Important settings:
>   value of $LANG: en_US.UTF-8
>   value of $XMODIFIERS: @im=ibus
>   locale-coding-system: utf-8-unix
> 
> Major mode: Org
> 
> Minor modes in effect:
>   diff-auto-refine-mode: t
>   global-hl-line-mode: t
>   display-time-mode: t
>   global-eldoc-mode: t
>   electric-quote-mode: t
>   electric-indent-mode: t
>   mouse-wheel-mode: t
>   file-name-shadow-mode: t
>   global-font-lock-mode: t
>   font-lock-mode: t
>   blink-cursor-mode: t
>   auto-composition-mode: t
>   auto-encryption-mode: t
>   auto-compression-mode: t
>   column-number-mode: t
>   line-number-mode: t
>   transient-mark-mode: t
> 
> Load-path shadows:
> None found.
> 
> Features:
> (shadow apropos mm-archive crm debbugs-org debbugs-gnu add-log debbugs
> soap-client warnings org-timer org-table org-colview org-clock
> org-attach org-id org-archive org-agenda reporter emacsbug mailalias
> smtpmail pp cus-edit cus-start cus-load sendmail sort mail-extr
> sh-script executable rng-xsd xsd-regexp rng-cmpct rng-nxml rng-valid
> rng-loc rng-uri rng-parse nxml-parse rng-match rng-dt rng-util rng-pttrn
> nxml-ns nxml-mode nxml-outln nxml-rap sgml-mode nxml-util nxml-enc
> xmltok shr-color color url-http url-gw url-cache url-auth eww mm-url
> url-queue url url-proxy url-privacy url-expand url-methods url-history
> url-cookie url-domsuf url-util shr svg xml dom browse-url iso-transl
> markdown-mode org-element org-rmail org-mhe org-irc org-info org-gnus
> org-docview doc-view jka-compr image-mode org-bibtex bibtex org-bbdb
> org-w3m misearch multi-isearch find-dired thingatpt grep compile vc-git
> diff-mode imenu gnus-async qp gnus-ml disp-table nndraft nnmh nnfolder
> utf-7 network-stream nsm starttls gnus-agent gnus-srvr gnus-score
> score-mode nnvirtual gnus-msg gnus-art mm-uu mml2015 mm-view mml-smime
> smime dig mailcap nntp gnus-cache gnus-sum gnus-group gnus-undo
> gnus-start gnus-cloud nnimap nnmail mail-source tls gnutls utf7 netrc
> nnoo parse-time gnus-spec gnus-int gnus-range message puny dired
> dired-loaddefs rfc822 mml mml-sec epa derived epg mm-decode mm-bodies
> mm-encode mail-parse rfc2231 mailabbrev gmm-utils mailheader gnus-win
> gnus nnheader subr-x gnus-util rmail rmail-loaddefs rfc2047 rfc2045
> ietf-drums mail-utils mm-util mail-prsvr wid-edit spacemacs-dark-theme
> spacemacs-common hl-line org-inlinetask ediprolog time ob-sparql ob-R
> ob-prolog prolog smie align org org-macro org-footnote org-pcomplete
> pcomplete org-list org-faces org-entities noutline outline easy-mmode
> org-version ob-emacs-lisp org-loaddefs format-spec find-func cal-menu
> calendar cal-loaddefs ob-sml ob ob-tangle ob-ref ob-lob ob-table ob-exp
> org-src ob-keys ob-comint comint ansi-color ring ob-core ob-eval
> org-compat org-macs sparql-mode async finder-inf info package epg-config
> url-handlers url-parse auth-source cl-seq eieio eieio-core cl-macs
> eieio-loaddefs password-cache url-vars seq byte-opt gv bytecomp
> byte-compile cl-extra help-mode easymenu cconv cl-loaddefs pcase cl-lib
> time-date mule-util tooltip eldoc electric uniquify ediff-hook vc-hooks
> lisp-float-type mwheel term/x-win x-win term/common-win x-dnd tool-bar
> dnd fontset image regexp-opt fringe tabulated-list newcomment elisp-mode
> lisp-mode prog-mode register page menu-bar rfn-eshadow timer select
> scroll-bar mouse jit-lock font-lock syntax facemenu font-core
> term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
> vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
> hebrew greek romanian slovak czech european ethiopic indian cyrillic
> chinese charscript case-table epa-hook jka-cmpr-hook help simple abbrev
> obarray minibuffer cl-preloaded nadvice loaddefs button faces cus-face
> macroexp files text-properties overlay sha1 md5 base64 format env
> code-pages mule custom widget hashtable-print-readable backquote
> dbusbind inotify dynamic-setting system-font-setting font-render-setting
> xwidget-internal move-toolbar gtk x-toolkit x multi-tty
> make-network-process emacs)
> 
> Memory information:
> ((conses 16 2378314 173728)
>  (symbols 48 61031 27)
>  (miscs 40 870 1889)
>  (strings 32 306049 33928)
>  (string-bytes 1 10280959)
>  (vectors 16 51338)
>  (vector-slots 8 1323639 210863)
>  (floats 8 3682 2379)
>  (intervals 56 376784 1791)
>  (buffers 976 60)
>  (heap 1024 155490 17455))
> 
> 
> 
>